// SmultronKit, www.peterborgapps.com/smultron
// Copyright © 2004-2015 Peter Borg Apps AB

#import "SmultronKit.h"

@interface SMLTextPerformer : NSObject {

}

+ (NSString *)convertString:(NSString *)stringToConvert toLineEndings:(SMLLineEndings)lineEnding;
+ (NSStringEncoding)guessEncodingFromData:(NSData *)textData;

+ (NSString *)replaceAllNewLineCharactersWithSymbolInString:(NSString *)theTextString;

+ (NSString *)removeAllLineEndingsInString:(NSString *)string;

+ (void)shiftLeftInTextView:(id)theTextView syntax:(SMLSyntax <SMLSyntaxSubclassProtocol> *)syntax;
+ (void)shiftRightInTextView:(id)theTextView syntax:(SMLSyntax <SMLSyntaxSubclassProtocol> *)syntax;
+ (void)removeNeedlessWhitespaceInTextView:(id)theTextView syntax:(SMLSyntax <SMLSyntaxSubclassProtocol> *)syntax;
+ (void)entabInTextView:(id)theTextView syntax:(SMLSyntax <SMLSyntaxSubclassProtocol> *)syntax;
+ (void)detabInTextView:(id)theTextView syntax:(SMLSyntax <SMLSyntaxSubclassProtocol> *)syntax;
+ (void)closeTagInTextView:(id)theTextView;
+ (void)commentOrUncommentInTextView:(id)theTextView syntax:(SMLSyntax <SMLSyntaxSubclassProtocol> *)syntax;
+ (void)removeLineEndingsInTextView:(id)theTextView syntax:(SMLSyntax <SMLSyntaxSubclassProtocol> *)syntax;
+ (void)prepareForXMLInTextView:(id)theTextView;


#if TARGET_OS_IPHONE
+ (void)makeUpperCaseInTextView:(UITextView *)textView;
+ (void)makeLowerCaseInTextView:(UITextView *)textView;
+ (void)capitalizeInTextView:(UITextView *)textView;
+ (void)insertSnippet:(NSString *)snippet intoTextView:(UITextView *)textView;
#endif
@end
